## org.eclipse.datatools.enablement.ase.catalog
Class ASETableColumnLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCTableColumnLoader
              org.eclipse.datatools.enablement.ase.catalog.ASETableColumnLoader

    public class ASETableColumnLoader

extends JDBCTableColumnLoader

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableColumnLoader
`COLUMN_COLUMN_DEF, COLUMN_COLUMN_NAME, COLUMN_COLUMN_SIZE, COLUMN_DATA_TYPE, COLUMN_DECIMAL_DIGITS, COLUMN_NULLABLE, COLUMN_REMARKS, COLUMN_SCOPE_CATALOG, COLUMN_SCOPE_SCHEMA, COLUMN_SCOPE_TABLE, COLUMN_TYPE_NAME`

Constructor Summary
`ASETableColumnLoader(ICatalogObject catalogObject)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableColumnLoader
`clearColumns, loadColumns, loadColumns`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASETableColumnLoader

    public ASETableColumnLoader(ICatalogObject catalogObject)